ERRORMAIL(8zm)

NAME
errormail - zmailer error message transport agent

SYNOPSIS

errormail
    [-c channel] [-V]

DESCRIPTION
errormail is a ZMailer transport agent which is usually only run by the scheduler(8zm) program to produce error messages from canned forms. The errormail program must be invoked with the same current directory as the scheduler(8zm), namely POSTOFFICE/transport.

The program will interpret the host part of an address destined for its channel as a file name in the MAILSHARE/forms directory. It will submit a new mail message consisting of the concatenation of:

    •   a To: header containing the sender address (original error return address),

    •   the file contents of the specified form,

    •   the user name of each recipient address with some descriptive text indicating the specific error, and

    •   the message file being processed.

This program will not report anything (except to syslog) if the original message is an error message ("channel error" kind, e.g. "MAIL FROM:<>").

OPTIONS

-c channel
    specifies which channel name should be keyed on. The default is error.

-V  prints a version message and exits.

INTERFACE
This program reads in processable file names relative to the current working directory of the scheduler(8zm) (namely: $POSTIOFFICE/transport/). Optionally on the same line the scheduler(8zm) may tell which host is to be looked for from the recipients of the message.

    relative-spool-path [ <TAB> hostname ]

This program produces diagnostic output on the standard output. Normal diagnostic output is of the form:

    id/offset<TAB>notify-data<TAB>status message

where id is the inode number of the message file, offset is a byte offset within its control file where the address being reported on is kept, status is one of ok, error, or deferred, and the message is descriptive text associated with the report. The text is terminated by a linefeed. Any other format (as might be produced by subprocesses) is passed to standard output for logging in the scheduler(8zm) log.

The exit status is a code from <sysexits.h>.

ENVIRONMENT VARIABLES

ZCONFIG
    This environment variable is expected to be inherited from the scheduler(8zm), and it tells where scheduler's idea of ZENV-variables are located at.

Z-ENVIRONMENT VARIABLES

Following ZENV-variables are used by the mailbox program:

MAILSHARE
    This supplies the location of the directory under which "$MAILSHARE/forms/hostpart" files are located.

POSTOFFICE, ROUTERDIRHASH, ROUTERNOTIFY, etc..
    Variables used by zmailer(3zm) library, while posting error messages.

FILES
/usr/local/etc/zmailer/zmailer.conf | (ZCONFIG)
/var/spool/postoffice | (POSTOFFICE)
/usr/local/etc/zmailer/forms | (MAILSHARE/forms)

SEE ALSO
scheduler(8zm), router(8zm), zmailer(3zm), zmailer.conf(5zm).

AUTHOR
This program authored and copyright by:
    Rayan Zachariassen <no address>
Continued maintenance by:
    Matti Aarnio <mea@nic.funet.fi>